Skip to main content
GET
/
jobs
List jobs
curl --request GET \
  --url https://descriptapi.com/v1/jobs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "job_id": "6dc3f30a-58c2-4174-96a6-dc18cf3c7776",
      "job_type": "import/project_media",
      "job_state": "stopped",
      "created_at": "2025-11-18T10:30:00Z",
      "stopped_at": "2025-11-18T10:35:00Z",
      "drive_id": "c9c5c47e-158a-49f7-846b-4f6ee2a229a2",
      "project_id": "9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb",
      "project_url": "https://web.descript.com/9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb",
      "result": {
        "status": "success",
        "media_status": {
          "Misc/intro.mp4": {
            "status": "success",
            "duration_seconds": 10.5
          }
        },
        "media_seconds_used": 11
      }
    },
    {
      "job_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
      "job_type": "agent",
      "job_state": "running",
      "created_at": "2025-11-18T11:00:00Z",
      "drive_id": "c9c5c47e-158a-49f7-846b-4f6ee2a229a2",
      "project_id": "9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb",
      "project_url": "https://web.descript.com/9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb",
      "progress": {
        "label": "Applying Studio Sound to clip 2...",
        "last_update_at": "2025-11-18T11:01:00Z"
      }
    }
  ],
  "pagination": {
    "next_cursor": "YTFiMmMzZDQtNTY3OC05MGFiLWNkZWYtMTIzNDU2Nzg5MGFi"
  }
}

Authorizations

Authorization
string
header
required

Personal API token created in Descript Settings → API Tokens. See the Authentication section for details.

Query Parameters

project_id
string<uuid>

Filter by project ID

type
enum<string>

Filter by job type

Available options:
import/project_media,
agent
cursor
string

Cursor for the next page of results, obtained from pagination.next_cursor in a previous response

limit
integer
default:20

Number of items per page (1-100). Defaults to 20.

Required range: 1 <= x <= 100
created_after
string<date-time>

Filter jobs created after this timestamp (ISO 8601). Default: 7 days ago. Oldest allowed: 30 days ago.

created_before
string<date-time>

Filter jobs created before this timestamp (ISO 8601). Default: now.

Response

Jobs list retrieved successfully

data
object[]
required

Status of an async job. The response structure varies based on the job type. Use the job_type field to determine which fields will be present.

pagination
object
required